# pandas.DatetimeIndex.indexer_between_time

DatetimeIndex.indexer_between_time(start_time, end_time, include_start=True, include_end=True)

  Return index locations of values between particular times of day (e.g., 9:00-9:30AM).

  Parameters
    start_time, end_time datetime.time, str

      Time passed either as object (datetime.time) or as string in appropriate format (“%H:%M”, “%H%M”, “%I:%M%p”, “%I%M%p”, “%H:%M:%S”, “%H%M%S”, “%I:%M:%S%p”,”%I%M%S%p”).

    include_start bool, default True
    include_end bool, default True
  Returns
    np.ndarray[np.intp]

  See also

  `indexer_at_time`

    Get index locations of values at particular time of day.

  `DataFrame.between_time`

    Select values between particular times of day.